Synq Docs
Management APIAPI keys

Read an API key

Never the key itself. Needs `org.apiKeys.view`.

GET/v1/orgs/{org}/api-keys/{key}

Never the key itself. Needs org.apiKeys.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
key*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/api-keys/string"
{  "id": "string",  "name": "string",  "prefix": "string",  "permissions": [    "string"  ],  "ip_allowlist": [    "string"  ],  "expires_at": "2019-08-24T14:15:22Z",  "revoked_at": "2019-08-24T14:15:22Z",  "last_used_at": "2019-08-24T14:15:22Z",  "created_by": "string",  "created_at": "2019-08-24T14:15:22Z"}